const fs = require('fs')
const path = require('path')
const chalk = require('chalk')

const bsyPath = path.posix.join(process.cwd(), 'bsy.json')
const exist = fs.existsSync(bsyPath)

if (!exist) {
  console.error(chalk.red('Can not find the bsy.json!'))
  console.info(chalk.yellow('Please execute in the project root directory.\n'))
  throw new Error('Can not find the bsy.json!')
}

module.exports = require(bsyPath)